%define anolis_release 2

Summary: A utility for retrieving files using the HTTP or FTP protocols
Name: wget
Version: 1.21.2
Release: %{anolis_release}%{?dist}
License: GPLv3+
Url: http://www.gnu.org/software/wget/
Source: ftp://ftp.gnu.org/gnu/wget/wget-%{version}.tar.gz


Provides: webclient
Provides: bundled(gnulib) 
# needed for test suite
BuildRequires: make
BuildRequires: perl(lib)
BuildRequires: perl(English)
BuildRequires: perl(HTTP::Daemon)
BuildRequires: python3
BuildRequires: gnutls-devel
BuildRequires: pkgconfig
BuildRequires: texinfo
BuildRequires: gettext
BuildRequires: autoconf
BuildRequires: libidn2-devel
BuildRequires: libuuid-devel
BuildRequires: perl-podlators
BuildRequires: libpsl-devel
BuildRequires: gpgme-devel
BuildRequires: gcc
BuildRequires: zlib-devel
BuildRequires: libmetalink-devel

%description
GNU Wget is a file retrieval utility which can use either the HTTP or
FTP protocols. Wget features include the ability to work in the
background while you are logged out, recursive retrieval of
directories, file name wildcard matching, remote file timestamp
storage and comparison, use of Rest with FTP servers and Range with
HTTP servers to retrieve files over slow or unstable connections,
support for Proxy servers, and configurability.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%setup -q

# modify the package string
sed -i "s|\(PACKAGE_STRING='wget .*\)'|\1 (Red Hat modified)'|" configure
grep "PACKAGE_STRING='wget .* (Red Hat modified)'" configure || exit 1


%build
%configure \
    --with-ssl=gnutls \
    --with-libpsl \
    --enable-largefile \
    --enable-opie \
    --enable-digest \
    --enable-ntlm \
    --enable-nls \
    --enable-ipv6 \
    --disable-rpath \
    --with-metalink \
    --disable-year2038

%{make_build}

%install
rm -rf $RPM_BUILD_ROOT
%{make_install} CFLAGS="$RPM_OPT_FLAGS"
rm -f $RPM_BUILD_ROOT/%{_infodir}/dir

%find_lang %{name}
%find_lang %{name}-gnulib

%generate_compatibility_deps

%check
make check

%files -f %{name}.lang -f %{name}-gnulib.lang
%dir %{abidir}
%doc COPYING doc/sample.wgetrc
%config(noreplace) %{_sysconfdir}/wgetrc
%{_mandir}/man1/wget.*
%{_bindir}/wget
%{abidir}/wget-option.list
%{_infodir}/*

%files doc
%doc AUTHORS MAILING-LIST NEWS README 

%changelog
* Wed Oct 12 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 1.21.2-2
- optimise spec file & add doc package

* Thu Mar 10 2022 Hongwei Qin <qhw01063182@alibaba-inc.com> 1.21.2-1
- New version 1.21.2
- Init for Anolis OS 23
